cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Markus Angst <man...@inventec.ch>
Subject Axis libraries
Date Fri, 26 Oct 2007 18:08:22 GMT
Hi Cocoon folks,

Two months ago, an error in generating UUIDs showed up in Apache Lenya that is
originally caused by a bug in the Axis library. The discussion thread in the
Apache Lenya mailing list can be found here:
http://www.nabble.com/Mark-AxisUUIDGenerator-as-ThreadSafe-tf4349708.html.

Andreas Hartmann has fixed the issue in Lenya, but the problem in the Axis
library version that Cocoon 2.1.x is using still remains. The Axis people have
fixed the bug in their library in september 2006; see:
http://svn.apache.org/viewvc/webservices/axis/trunk/java/src/org/apache/axis/components/uuid/FastUUIDGen.java?r1=264831&r2=448984.

My question is now if it would make sense to upgrade the Axis library that is
shipped with Cocoon 2.1.x. I think the bug could be quite nasty and could maybe
also affect Cocoon applications.

WDYT?

Thanks and best regards,
Markus Angst

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message